Bug 213942 - www/owncloud & www/nextcloud - Remove mp3info dependency
Summary: www/owncloud & www/nextcloud - Remove mp3info dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-31 11:20 UTC by joshruehlig
Modified: 2016-12-07 08:45 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description joshruehlig 2016-10-31 11:20:03 UTC
mp3info has not been used in ownCloud for several years and was never used in Nextcloud.

This should be as simple as removing...

"MP3INFO" from OPTIONS_DEFINE and OPTIONS_DEFAULT

And the lines starting with...

MP3INFO_DESC
MP3INFO_BUILD_DEPENDS
MP3INFO_RUN_DEPENDS
Comment 1 loic.blot 2016-11-08 08:53:01 UTC
I will look at this to ensure no API require this and provide the patch
Comment 2 joshruehlig 2016-11-08 20:54:18 UTC
To help your search, here's where mp3info was removed.
https://marc.info/?l=owncloud&m=132558550805887

I believe the relevant code now resides here.
https://github.com/owncloud/core/blob/master/lib/private/Preview/MP3.php
Comment 3 commit-hook freebsd_committer 2016-12-07 07:58:45 UTC
A commit references this bug:

Author: wen
Date: Wed Dec  7 07:57:52 UTC 2016
New revision: 428039
URL: https://svnweb.freebsd.org/changeset/ports/428039

Log:
  - Remove mp3info dependency

  PR:		213942
  Submitted by:	joshruehlig@gmail.com
  Approved by:	maintainer(timeout, >30 days)

Changes:
  head/www/nextcloud/Makefile
Comment 4 loic.blot 2016-12-07 08:45:01 UTC
Hi, sorry i was very busy, thanks for the modification